Bug 441670 - gkrellm window is not sticky
gkrellm window is not sticky
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 09:00 EDT by E Mair
Modified: 2009-01-09 02:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:46:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description E Mair 2008-04-09 09:00:24 EDT
Description of problem:
When used with compiz-fusion, the gkrellm monitor window does not start up in
sticky mode, despite being set that way in its preferences. Gkrellm only appears
on one workspace until I have opened the gkrellm preferences and un-/re-checked
"Set sticky mode" (my translation from the Swedish locale).

Version-Release number of selected component (if applicable):
gkrellm-2.3.0-4.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Login to a GNOME session with compiz-fusion and gkrellm.
2. Watch gkrellm only appear on one workspace, despite being set to sticky mode.
3. Open the gkrellm configuration window, uncheck and recheck "Set sticky mode",
click OK.
4. The gkrellm window appears on all workspaces.
Comment 1 Hans de Goede 2008-04-09 09:37:12 EDT
Compiz seems to only honor the sticking option if gkrellm is started after
compiz is started up. IOW, if you do not start gkrellm on session startup
(before compiz is started) but start it from a terminal after compiz has loaded,
the sticky function will work without having to unstick / stick it.

Feels like a compiz bug to me, changing assignment and component to match.
Comment 2 E Mair 2008-04-10 07:41:06 EDT
Thanks for moving it where it belongs, Hans.

I set gkrellm's session startup priority to 99 and now it starts up in sticky
mode on login. On the other hand, now the "Place below other windows" option has
stopped working, and I have to un-/re-check this after login.
Comment 3 Bug Zapper 2008-11-26 05:27:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 02:46:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.